"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.oneClickCopyPlugin = void 0;
const core_1 = require("@vuepress-denaro/core");
const utils_1 = require("@vuepress/utils");
const oneClickCopyPlugin = ({ copySelector = [
    'div[class*="language-"] pre',
    'div[class*="aside-code"] aside',
], copyMessage = 'Copied successfully!', toolTipMessage = 'Copy to clipboard', duration = 3000, } = {}) => {
    const pluginObj = {
        name: `${core_1.pluginNamePrefix}one-click-copy`,
        define: {
            __ONE_CLICK_COPY_COPY_SELECTOR__: copySelector,
            __ONE_CLICK_COPY_COPY_MESSAGE__: copyMessage,
            __ONE_CLICK_COPY_TOOL_TIP_MESSAGE__: toolTipMessage,
            __ONE_CLICK_COPY_DURATION__: duration, // Successful prompt disappearing time.
        },
        clientConfigFile: utils_1.path.resolve(__dirname, '../client/config.js'),
    };
    return pluginObj;
};
exports.oneClickCopyPlugin = oneClickCopyPlugin;
